# Uses of Class
org.apache.qpid.proton.engine.HandlerException

Packages that use HandlerException
Package
Description
org.apache.qpid.proton.engine
org.apache.qpid.proton.reactor
org.apache.qpid.proton.reactor.impl

## Uses of HandlerException in org.apache.qpid.proton.engine

Methods in org.apache.qpid.proton.engine that throw HandlerException
Modifier and Type
Method
Description
`void`
Event.`delegate()`
dispatch the event to all children of the handler.
`void`
Event.`dispatch(Handler handler)`
`void`
Event.`redispatch(EventType as_type, Handler handler)`
Synchronously redispatch the current event as a new `EventType` on the provided handler and it's children.

## Uses of HandlerException in org.apache.qpid.proton.reactor

Methods in org.apache.qpid.proton.reactor that throw HandlerException
Modifier and Type
Method
Description
`boolean`
Reactor.`process()`
Process any events pending for this reactor.
`void`
Reactor.`run()`
Simplifies the use of the reactor by wrapping the use of `start`, `run`, and `stop` method calls.
`void`
Reactor.`stop()`
Stops the reactor.

## Uses of HandlerException in org.apache.qpid.proton.reactor.impl

Methods in org.apache.qpid.proton.reactor.impl that throw HandlerException
Modifier and Type
Method
Description
`boolean`
ReactorImpl.`process()`
`void`
ReactorImpl.`run()`
`void`
ReactorImpl.`stop()`